## int v24Puts

## ( v24_port_t* port, const char* Buffer )

> Send a string.

## Documentation

> Send a string. This function simply sends all characters of the ASCIIZ string. A single `\n` is not expanded to `\n\r`! The function returns the number of characters sent, or a `-1` if something fails. Use `v24QueryErrno` to retrieve the error code.

> Possible error code are `V24_OK`, `V24_E_NULL_POINTER`, `V24_E_ILLHANDLE` or `V24_WRITE`.

> Implementation note: the current release of the library defines the end of a string as a hard coded constant! Search the internal headers `EZV24_END_OF_STRING`.

Parameters:
  port - pointer to handle of the opened port.
  Buffer - a pointer to an ASCIIZ string.
Returns:
See Also:
  v24QueryErrno, v24Putc, v24Write.

Alphabetic index

This page was generated with the help of DOC++.